Bug 168659 - CVE-2005-3044 lost fput and sockfd_put could lead to DoS
Summary: CVE-2005-3044 lost fput and sockfd_put could lead to DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alexander Viro
QA Contact: Brian Brock
URL:
Whiteboard: reported=20050914,source=vendorsec,pu...
Keywords: Security
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-09-19 08:34 UTC by Mark J. Cox
Modified: 2008-05-19 07:28 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 08:33:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0101 normal SHIPPED_LIVE Important: kernel security update 2006-01-17 05:00:00 UTC

Comment 1 Alexander Viro 2005-11-16 17:41:28 UTC
patch is obviously correct and should be applied even if there had been
no security implications.

Comment 9 Red Hat Bugzilla 2006-01-17 08:33:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html


Comment 10 Vasily Averin 2007-02-09 09:29:42 UTC
SWsoft Virtuozzo/OpenVZ Linux kernel team would like to note that CVE-2005-3044
 is still not fully fixed in RHEL4 kernel 2.6.9-42.0.8
Please see the for details:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=227978


Comment 11 Mark J. Cox 2008-05-19 07:28:56 UTC
for historical interest #227978 is private but the public version of that bug is
https://bugzilla.redhat.com/show_bug.cgi?id=243252


Note You need to log in before you can comment on or make changes to this bug.